Subject: bug#64070: closed (Re: bug#64070: 29.0.91; (documentation) Errors when byte-compiling annotated Flymake example)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Jun 2023 07:52:02 +0000

Your bug report

#64070: 29.0.91; (documentation) Errors when byte-compiling annotated Flymake example

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64070: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64070
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64070: 29.0.91; (documentation) Errors when byte-compiling annotated Flymake example
From: Eli Zaretskii <[email-masked]>
To: Graham Marlow <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Jun 2023 10:51:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 13 Jun 2023 21:18:04 -0700
> From: Graham Marlow <[email-masked]>
> 
> When following the annotated Flymake example to create my own backend, I
> noticed that flymake itself reports an error with the
> example. Specifically,
> 
> "Wrong type argument: proper-list-p, (beg . end)"
> 
> This error also occurs when attempting to batch-byte-compile the file:
> 
> $ emacs -batch -L . -f batch-byte-compile example.el
> 
> In toplevel form:
> example.el:7:2: Error: Wrong type argument: proper-list-p, (beg . end)
> 
> It looks like the example is missing a (require 'cl-lib) statement. I
> checked the master Emacs branch and the bug is still there
> (doc/misc/flymake.texi).
> 
> https://www.gnu.org/software/emacs/manual/html_mono/flymake.html#An-annotated-example-backend

Thanks, should be fixed now on the emacs-29 branch.

Subject: 29.0.91; (documentation) Errors when byte-compiling annotated Flymake example
From: Graham Marlow <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jun 2023 21:18:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When following the annotated Flymake example to create my own backend, I
noticed that flymake itself reports an error with the
example. Specifically,

"Wrong type argument: proper-list-p, (beg . end)"

This error also occurs when attempting to batch-byte-compile the file:

$ emacs -batch -L . -f batch-byte-compile example.el

In toplevel form:
example.el:7:2: Error: Wrong type argument: proper-list-p, (beg . end)

It looks like the example is missing a (require 'cl-lib) statement. I
checked the master Emacs branch and the bug is still there
(doc/misc/flymake.texi).

https://www.gnu.org/software/emacs/manual/html_mono/flymake.html#An-annotated-example-backend